## cascading.flow.hadoop.stream
Class HadoopSinkStage

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Stage<Incoming,Outgoing>
              cascading.flow.stream.ElementStage<TupleEntry,Void>
                  cascading.flow.stream.SinkStage
                      cascading.flow.hadoop.stream.HadoopSinkStage

All Implemented Interfaces:
  ElementDuct

    public class HadoopSinkStage

extends SinkStage

Field Summary

Fields inherited from class cascading.flow.stream.ElementStage
`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`HadoopSinkStage(FlowProcess flowProcess, Tap sink)`

Method Summary
`protected Object` `getOutput()`

Methods inherited from class cascading.flow.stream.SinkStage
`bind, cleanup, complete, prepare, receive, start`

Methods inherited from class cascading.flow.stream.ElementStage
`addIncomingScope, addOutgoingScope, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Duct
`getNext, getNextFor, initialize, receiveFirst`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HadoopSinkStage

    public HadoopSinkStage(FlowProcess flowProcess,
                           Tap sink)

Method Detail

### getOutput

    protected Object getOutput()

  Overrides:
    `getOutput` in class `SinkStage`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.